Import and pin a public media URL
Import and pin a public media URL. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:write`.
Authorization
apiKeyAuth Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/media/import-url" \ -H "Content-Type: application/json" \ -d '{ "sourceUrl": "https://httpbin.org/image/png", "name": "Imported image", "kind": "image", "mimeType": "image/png", "retention": "persistent", "role": "hero-product" }'{ "success": true, "data": { "id": "media_01J", "name": "product-shot.png", "kind": "image", "mimeType": "image/png", "sizeBytes": 184320, "source": "https://api.jsoncut.com/api/v2/media/media_01J/content?token=short-lived", "reference": "jsoncut-media://media_01J", "retention": "project", "createdAt": "2026-08-25T09:10:00.000Z", "width": 1600, "height": 900 }}Upload a media file POST
Upload a media file. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:write`.
Get media metadata and a short-lived preview URL GET
Get media metadata and a short-lived preview URL. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:read`.